geos::index::strtree::Interval Class Reference

A contiguous portion of 1D-space. Used internally by SIRtree. More...

`#include <Interval.h>`

## Public Member Functions

| Interval (double newMin, double newMax)
double | getMin () const
double | getMax () const
double | getWidth () const
double | getCentre () const
Interval * | expandToInclude (const Interval *other)
bool | intersects (const Interval *other) const
bool | equals (const Interval *other) const

## Detailed Description

A contiguous portion of 1D-space. Used internally by SIRtree.

See also
  SIRtree

The documentation for this class was generated from the following file:

- strtree/Interval.h